<script>
  const width = 800;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 5, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;
  const radius = 20
</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
      <circle cx={width/2} cy={height/2} r="18" fill="teal" />
    </g>
</svg>

<style>
  svg {
    width: 100%;  /* required to display correctly in Safari! */
    border: 1px solid black;
    border-radius: 5px;
  }
</style>
